<ion-header>
  <ion-navbar>
    <ion-title>
      Sonidos APP
    </ion-title>
    <ion-buttons end>
        <button ion-button
        *ngIf="!ordenando"
        (click) = "ordenando=true">
          Ordenando
        </button>
        <button ion-button
        *ngIf="ordenando"
        (click) = "ordenando=false">
          Listo
        </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content padding>

  <ion-refresher [enabled]="!ordenando" (ionRefresh)="recargar_animales($event)">
   <ion-refresher-content></ion-refresher-content>
  </ion-refresher>

  <ion-list [reorder]="ordenando" (ionItemReorder)="reordenar_animales($event)">
    <ion-item-sliding *ngFor="let animal of animales; let i = index">
        <ion-item (click)="reproducir(animal)">
          <ion-avatar item-left>
            <img [src]="animal.imagen">
          </ion-avatar>
          <h2>{{animal.nombre}}</h2>
          <ion-icon *ngIf="!animal.reproduciendo" name="play" item-right></ion-icon>
          <ion-icon *ngIf="animal.reproduciendo" name="pause" item-right></ion-icon>
        </ion-item>

              <ion-item-options side="right">
                <button ion-button color="danger"
                        (click)="borrar_animal(i)">
                  <ion-icon name="mail"></ion-icon>
                  borrar
                </button>
              </ion-item-options>

      </ion-item-sliding>
    </ion-list>
</ion-content>
